=== src/moxa-irigb-driver-1.3.0/Makefile ===
KRELEASE ?= $(shell uname -r)
MODULE_NAME := moxa_irigb
KERNEL_HEADER_DIR := /lib/modules/$(KRELEASE)/build
INSTALL_DIR := kernel/drivers/misc
obj-m += $(MODULE_NAME).o

all: modules

modules:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules

install: modules
	$(MAKE) INSTALL_MOD_DIR=$(INSTALL_DIR) -C $(KERNEL_HEADER_DIR) M=$(PWD) modules_install
	/usr/bin/install -m 644 -D $(MODULE_NAME).conf /usr/lib/modules-load.d/$(MODULE_NAME).conf
	/sbin/depmod -A

uninstall:
	rm /lib/modules/$(KRELEASE)/$(INSTALL_DIR)/moxa_irigb.ko
	rm /usr/lib/modules-load.d/$(MODULE_NAME).conf
	/sbin/depmod -A

clean:
	$(MAKE) -C $(KERNEL_HEADER_DIR) M=$(PWD) clean

load:
	/usr/sbin/modprobe $(MODULE_NAME)

unload:
	/usr/sbin/modprobe -r $(MODULE_NAME)

.PHONY: modules install uninstall clean load unload
