=== src/moxa-irigb-tools-1.2.1/Makefile ===
CXX=g++
DESTDIR ?= /

DIR = mxirig \
mxIrigUtil \
mxSyncTimeSvc

all:
	for i in $(DIR); do \
		make -C $$i; \
	done

install:
	/usr/bin/install -d $(DESTDIR)/sbin
	/usr/bin/install mx_irigb.sh $(DESTDIR)/sbin/mx_irigb.sh
	/usr/bin/install mxSyncTimeSvc/ServiceSyncTime $(DESTDIR)/sbin/ServiceSyncTime
	/usr/bin/install mxIrigUtil/mxIrigUtil $(DESTDIR)/sbin/mxIrigUtil
	/usr/bin/install mx_irigb.service /lib/systemd/system/mx_irigb.service 

clean:
	for i in $(DIR); do \
		make -C $$i clean; \
	done

uninstall:
	rm -f $(DESTDIR)/sbin/mx_irigb.sh
	rm -f $(DESTDIR)/sbin/ServiceSyncTime
	rm -f $(DESTDIR)/sbin/mxIrigUtil
	rm -f /lib/systemd/system/mx_irigb.service
