=== src/moxa-x86-control-tools-2.21.0/Makefile ===
export SRC_DIR := $(PWD)/src
TOOLS_DIR := $(wildcard $(SRC_DIR)/*)
TOOL_NAME =

.PHONY: all install $(TOOLS_DIR)

all: install

install: $(addprefix $(SRC_DIR)/, $(TOOL_NAME))
ifeq ($(TOOL_NAME),)
	@echo "Please enter tool(s) name you want to install, TOOL_NAME=<tool1, tool2...>"
else
	@echo "Install $(TOOL_NAME)"
endif

$(TOOLS_DIR):
	@make -C $@

clean:
	@for dir in $(TOOLS_DIR); do \
		make clean -C $$dir; \
	done
