=== src/moxa-mcu-manager-1.1.0/debian/changelog ===
moxa-mcu-manager (1.0.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Support MCU firmware upgrade
  * Add command pre callback function
  * Enhance unix client handling
  * Add test script

  [Removed]
  * Remove compatible script wrapper

 -- Wilson Huang <wilsonys.huang@moxa.com>  Mon, 10 Feb 2025 23:18:06 +0800

moxa-mcu-manager (0.5.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Add proxy queue to handle MCU requests and responses safely

 -- Wilson Huang <wilsonys.huang@moxa.com>  Wed, 05 Feb 2025 18:30:32 +0800

moxa-mcu-manager (0.4.1-1+deb11) bullseye; urgency=medium

  [Fixed]
  * Update proper version

 -- Wilson Huang <wilsonys.huang@moxa.com>  Tue, 10 Dec 2024 17:00:39 +0800

moxa-mcu-manager (0.4.0-1+deb11) bullseye; urgency=medium

  [Removed]
  * Remove watchdog reset control and app watchdog reset control

  [Fixed]
  * Correct typo

 -- Wilson Huang <wilsonys.huang@moxa.com>  Mon, 18 Nov 2024 02:08:19 +0800

moxa-mcu-manager (0.3.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Get/Set app watchdog timeout

  [Fixed]
  * Ensure buffer has a null terminator after reading the GPIO value to prevent undefined behavior
  * Correct debian package information
  * Make mx-mcu-mgmt return code properly

 -- Wilson Huang <wilsonys.huang@moxa.com>  Tue, 08 Oct 2024 17:43:21 +0800

moxa-mcu-manager (0.2.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Get model name by dmidecode tool
  * Toggle debug log via signal SIGHUP
  * Support V3400 series
  * Handle SIGINT or SIGTERM signal when daemon shutdown
  * Check MCU is available or not on V3200 and V3400
  * Add compatible script wrapper

  [Fixed]
  * Add stack protect CFLAGS and prevent stackoverflow
  * Show error log if MCU daemon is not available

 -- Wilson Huang <wilsonys.huang@moxa.com>  Wed, 25 Sep 2024 17:05:46 +0800

moxa-mcu-manager (0.1.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Initial release

 -- Wilson Huang <wilsonys.huang@moxa.com>  Fri, 06 Sep 2024 14:48:40 +0800
