=== src/moxa-mcu-manager-1.2.0-1+deb11/debian/changelog ===
moxa-mcu-manager (1.2.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Add new MCU command
    - Get model name
    - Control brightness
    - Get system status
    - Enable/Disable touch panel
    - Show/hide on-screen display
  * Support MPC-3000 series

  [Changed]
  * Expand feature capacity in struct by changing member type
  * Rename app watchdog option function name

  [Fixed]
  * Check model initial callback is defined before execute

  [Removed]
  * Remove 'name_prefix_sz' in model information

 -- Wilson Huang <wilsonys.huang@moxa.com>  Wed, 11 Jun 2025 10:21:12 +0800

moxa-mcu-manager (1.1.0-1+deb11) bullseye; urgency=medium

  [Added]
  * Support long options

 -- Wilson Huang <wilsonys.huang@moxa.com>  Wed, 02 Apr 2025 23:43:31 +0800
