=== src/moxa-mcu-manager-1.2.0-1+deb11/debian/control ===
Source: moxa-mcu-manager
Section: utils
Priority: optional
Maintainer: Wilson YS Huang  <wilsonys.huang@moxa.com>
Build-Depends: debhelper (>= 11),
               automake,
               autoconf,
               gcc,
               libc6,
               make,
Standards-Version: 4.1.2
Homepage: https://gitlab.com/moxa/sw/linux/packages/moxa-mcu-manager

Package: moxa-mcu-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Moxa MCU Manager (MMM)
  Moxa MCU Manager provides tools and daemon to control external MCU from the host system.
